Skip to main content
POST
/
customers
/
{external_customer_id}
/
wallets
/
{wallet_code}
/
alerts
Create wallet alert(s)
curl --request POST \
  --url https://api.getlago.com/api/v1/customers/{external_customer_id}/wallets/{wallet_code}/alerts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "alert": {
    "code": "wallet_balance_alert",
    "thresholds": [
      {
        "value": 99,
        "code": "warn",
        "recurring": false
      }
    ],
    "alert_type": "wallet_balance_amount",
    "name": "Wallet Balance Alert"
  }
}
'
import requests

url = "https://api.getlago.com/api/v1/customers/{external_customer_id}/wallets/{wallet_code}/alerts"

payload = { "alert": {
"code": "wallet_balance_alert",
"thresholds": [
{
"value": 99,
"code": "warn",
"recurring": False
}
],
"alert_type": "wallet_balance_amount",
"name": "Wallet Balance Alert"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alert: {
code: 'wallet_balance_alert',
thresholds: [{value: 99, code: 'warn', recurring: false}],
alert_type: 'wallet_balance_amount',
name: 'Wallet Balance Alert'
}
})
};

fetch('https://api.getlago.com/api/v1/customers/{external_customer_id}/wallets/{wallet_code}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "alert": {
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "external_subscription_id": null,
    "billable_metric": null,
    "alert_type": "wallet_balance_amount",
    "code": "wallet_balance_alert",
    "name": "Wallet Balance Alert",
    "previous_value": 1000,
    "last_processed_at": "2025-05-19T10:04:21Z",
    "thresholds": [
      {
        "code": "warn",
        "recurring": false,
        "value": "99.0"
      }
    ],
    "created_at": "2025-03-20T10:00:00Z",
    "lago_wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "wallet_code": "wallet_code",
    "direction": "decreasing"
  }
}
{
"status": 400,
"error": "Bad request"
}
{
"status": 401,
"error": "Unauthorized"
}
{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}
{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}
You can also create multiple wallet alerts at once.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_customer_id
string
required

The customer external unique identifier (provided by your own application)

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

wallet_code
string
required

A unique wallet identifier within a customer. It is either set by the user at creation or auto-generated by Lago if not provided.

Example:

"wallet-code"

Body

application/json

Create a new alert for a wallet

alert
object
required

Response

Wallet alert(s) created

alert
object
required